# -*- encoding: utf-8 -*-
# stub: faraday_middleware 0.10.0 ruby lib

Gem::Specification.new do |s|
  s.name = "faraday_middleware"
  s.version = "0.10.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 1.3.5") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Erik Michaels-Ober", "Wynn Netherland"]
  s.date = "2015-07-07"
  s.description = "Various middleware for Faraday"
  s.email = ["sferik@gmail.com", "wynn.netherland@gmail.com"]
  s.files = ["CHANGELOG.md", "CONTRIBUTING.md", "LICENSE.md", "README.md", "faraday_middleware.gemspec", "lib/faraday_middleware.rb", "lib/faraday_middleware/addressable_patch.rb", "lib/faraday_middleware/backwards_compatibility.rb", "lib/faraday_middleware/gzip.rb", "lib/faraday_middleware/instrumentation.rb", "lib/faraday_middleware/rack_compatible.rb", "lib/faraday_middleware/request/encode_json.rb", "lib/faraday_middleware/request/method_override.rb", "lib/faraday_middleware/request/oauth.rb", "lib/faraday_middleware/request/oauth2.rb", "lib/faraday_middleware/response/caching.rb", "lib/faraday_middleware/response/chunked.rb", "lib/faraday_middleware/response/follow_redirects.rb", "lib/faraday_middleware/response/mashify.rb", "lib/faraday_middleware/response/parse_dates.rb", "lib/faraday_middleware/response/parse_json.rb", "lib/faraday_middleware/response/parse_marshal.rb", "lib/faraday_middleware/response/parse_xml.rb", "lib/faraday_middleware/response/parse_yaml.rb", "lib/faraday_middleware/response/rashify.rb", "lib/faraday_middleware/response_middleware.rb", "lib/faraday_middleware/version.rb"]
  s.homepage = "https://github.com/lostisland/faraday_middleware"
  s.licenses = ["MIT"]
  s.rubygems_version = "2.4.5"
  s.summary = "Various middleware for Faraday"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<faraday>, ["< 0.10", ">= 0.7.4"])
      s.add_development_dependency(%q<bundler>, ["~> 1.0"])
    else
      s.add_dependency(%q<faraday>, ["< 0.10", ">= 0.7.4"])
      s.add_dependency(%q<bundler>, ["~> 1.0"])
    end
  else
    s.add_dependency(%q<faraday>, ["< 0.10", ">= 0.7.4"])
    s.add_dependency(%q<bundler>, ["~> 1.0"])
  end
end

